@echo off
echo.
if "%1" == "stop" goto stop
echo Installing service "sharepoint-scmi"
echo ----------------------------------------------------------------------
echo Stop and uninstall with "sharepoint-scmi stop"
echo.
echo Installing service...
instsrv.exe sharepoint-scmi "C:\scmi_dir_path\srvany.exe"
echo.
echo Adding to registry...
regedit sharepoint-scmi.reg
echo.
echo Starting service...
net start sharepoint-scmi
goto end
:stop
echo Stop and uninstall service "sharepoint-scmi"
echo ----------------------------------------------------------------------
echo Stopping service...
net stop sharepoint-scmi
echo.

For /F "tokens=1* delims==" %%A IN (sharepoint.properties) DO (
    IF "%%A"=="scmi.port" set port=%%B
    )

echo SCMI is listening on port: %port%. Killing Process...
for /f "tokens=5 delims= " %%a in ('netstat -nao ^| findstr %port%') do (taskkill /f /pid %%a)

echo Removing from registry...
instsrv.exe sharepoint-scmi remove
:end
echo.
echo *** Done ***
echo.
pause
